List custom field rules
curl --request GET \
--url https://api.journeybee.io/v1/custom-field-rules/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.journeybee.io/v1/custom-field-rules/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.journeybee.io/v1/custom-field-rules/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"uuid": "<string>",
"label": "<string>",
"active": true,
"source_custom_field_uuid": "<string>",
"source_values": [
"<string>"
],
"action_type": "set_value",
"target_custom_field_uuid": "<string>",
"target_value": {
"text": "<string>",
"textarea": "<string>",
"number": 123,
"date": "<string>",
"boolean": true,
"select": 123,
"multi_select": [
123
]
},
"value_mappings": [
{
"sourceValue": "<string>",
"targetValue": {
"text": "<string>",
"textarea": "<string>",
"number": 123,
"date": "<string>",
"boolean": true,
"select": 123,
"multi_select": [
123
]
}
}
],
"locked": true,
"entity_type": "partner",
"created_at": "<string>",
"updated_at": "<string>"
}
]Custom Field Rules
List custom field rules
GET
/
custom-field-rules
/
List custom field rules
Authorizations
API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".
Response
200 - application/json
Default Response
Available options:
set_value, show_field, value_mapping Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
partner, lead, lead_deal, contact ⌘I